Known issues

These are the known issues for Puppet Application Manager (PAM).

Velero fails if network file system (NFS) snapshot storage is misconfigured

In Puppet Application Manager version 1.64.0 and newer versions, changes to the configuration of snapshot storage on a network file system (NFS) is appended to Velero containers, rather than replaced. This means that if NFS snapshot storage is misconfigured, attempts to fix the configuration do not correct the problem. This issue manifests as a failure of Velero to start up.

Installations fail on RHEL 8 systems

Due to a conflict with the audit-libs library, installations of Puppet Application Manager version 1.62.0 or older fail on Red Hat Enterprise Linux 8 systems. To work around this issue, force installation of the kurl-local audit-libs library version by running sudo yum install audit-libs-3.0-0.17.20191104git1c2f876.el8.1 --allowerasing.

OpenSSL package required for newer RHEL 7 systems

Attempts to install Puppet Application Manager version 1.62.0 or older on newer Red Hat Enterprise Linux (RHEL) 7 systems fail unless the OpenSSL package is present on the system before installation. To work around this issue, run yum install openssl and then re-run the PAM installation script.

Package updates with yum or DNF fail after upgrading PAM

If you are unable to run yum update or dnf upgrade after a PAM upgrade, run one of the following commands to clean up a temporary module added by PAM:
yum module reset kurl.local
or
dnf module reset kurl.local